
QGIS Application - Bug report #14557

duplicate quote in output type

2016-03-23 11:16 AM - Alexia Mondot

Status: Closed

Priority: Normal

Assignee: Alexia Mondot

Category: Processing/Core

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 22530

Description

Some application like Color Mapping has a output type assigned.

This is done in the rebuild of the otb command line. 

There is the following error:

/bin/sh: 1: Syntax error: Unterminated quoted string

Here is the command line launched:

"/usr/bin/otbcli_ColorMapping" "-in" "/media/img.TIF" "-ram" "128" "-op" "labeltocolor" "-method" "continuous"

"-method.continuous.lut" "red" "-method.continuous.min" "0" "-method.continuous.max" "255" "-out"

"/tmp/processing/cf16d95da28941f08377d0008c92e58a/out.tif" uint8" 

The end quote is after the output file name, but there is an other after the output type.

Associated revisions

Revision 8eb79dbb - 2016-04-10 10:39 AM - Alexander Bruy

[processing] fix missed quotes in OTB provider (fix #14557)

Revision 5c24d1af - 2016-04-13 02:06 PM - Alexander Bruy

[processing] fix missed quotes in OTB provider (fix #14557)

(cherry picked from commit 8eb79dbb91d55f9975d903a4f2cc1d650a68b038)

History

#1 - 2016-03-26 01:48 AM - Jürgen Fischer

- Subject changed from [Processing/OTB/descriptors XML] Output filenames with an assigned to duplicate quote in output type

#2 - 2016-04-09 09:09 AM - Giovanni Manghi

see also #14095
#3 - 2016-04-10 01:40 AM - Alexander Bruy

- Status changed from Open to Closed

Fixed in changeset commit:"8eb79dbb91d55f9975d903a4f2cc1d650a68b038".

#4 - 2017-05-01 10:58 AM - Giovanni Manghi

- Regression? set to No

#5 - 2017-05-01 11:01 AM - Giovanni Manghi

- Easy fix? set to No

#6 - 2017-05-01 11:04 AM - Giovanni Manghi

Some providers are being removed from QGIS/Processing (will be available as plugin) and so are their categories in the bug tracker. To not leave them

orphaned of a category they are being reassigned to processing/core.

#7 - 2017-05-01 11:06 AM - Giovanni Manghi

- Category changed from 120 to Processing/Core
